Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

You are not logged in. Your edit will be placed in a queue until it is peer reviewed.

We welcome edits that make the post easier to understand and more valuable for readers. Because community members review edits, please try to make the post substantially better than how you found it, for example, by fixing grammar or adding additional resources and hyperlinks.

How do I use autoconf with Cygwin

Environment Windows 7 Cygwin 2.0.2(0.287/5/3)

I have installed autoconf and I have tried...

$ autoconf-2.69
autom4te-2.69: need GNU m4 1.4 or later: /usr/bin/m4

and

$ autoconf-2.13
Autoconf requires GNU m4 1.1 or later

and

$ autoconf
autom4te-2.69: need GNU m4 1.4 or later: /usr/bin/m4

I tried...

$ m4 --version

per the man but it doesn't print anything

 --version
          output version information and exit

This is all super strange and I have confirmed it is installed...

$ apt-cyg install m4
Package m4 is already installed, skipping

How do I get autoconf to work?

Answer

Cancel